package com.cool.store.enums.wallet;

import com.cool.store.enums.ExpenseSheetTypeEnum;

/**
 * @Auther zx_szh
 * @Date 2026/4/8 16:56
 * @Version 1.0
 */
public enum SplitSourceEnum {

    //1-手工新增/2-费用调整单/3-费用单
    ADD_BY_HAND(1,"手工新增"),
    FEE_ADJUSTMENT_ORDER(2,"费用调整单"),
    EXPENSE_LIST(3,"费用单")
    ;


    private final Integer status;

    private final String desc;

    SplitSourceEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public static SplitSourceEnum getSplitSourceEnum(Integer expenseSheetType){
        if (ExpenseSheetTypeEnum.ADJUSTMENT_SHEET.getCode().equals(expenseSheetType)){
            return FEE_ADJUSTMENT_ORDER;
        }
        if (ExpenseSheetTypeEnum.EXPENSE_SHEET.getCode().equals(expenseSheetType)){
            return EXPENSE_LIST;
        }
        return null;
    }



    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }
}
